Package pygraph :: Package classes :: Module exceptions

# Module exceptions

Exceptions.

Classes
| GraphError A base-class for the various kinds of errors that occur in the the python-graph class.
| AdditionError This error is raised when trying to add a node or edge already added to the graph or digraph.
| NodeUnreachable Goal could not be reached from start.
| InvalidGraphType Invalid graph type.
| AlgorithmError A base-class for the various kinds of errors that occur in the the algorithms package.
| NegativeWeightCycleError Algorithms like the Bellman-Ford algorithm can detect and raise an exception when they encounter a negative weight cycle.

Variables
| __package__ = `None`